# The following macro were stolen from initscripts spec file:
# The restart part in the real _post_service doesn't work with netfs and isn't needed
# for other scripts
%define _mypost_service() if [ $1 = 1 ]; then /sbin/chkconfig --add %{1}; fi;
%define initlvl_chg() if [[ -f /etc/rc3.d/S%{2}%{1} ]] && [[ -f /etc/rc5.d/S%{2}%{1} ]] && egrep -q 'chkconfig: [0-9]+ %{3}' /etc/init.d/%{1}; then chkconfig --add %{1} || : ; fi; \
%{nil}

Summary: The sound scripts
Name: sound-scripts
Version: 0.61
Release: %mkrel 3
License: GPL
Url: http://www.mandrivalinux.com/cgi-bin/cvsweb.cgi/soft/sound-scripts/
Group: System/Base
Source0: %name-%version.tar.xz
Patch0: sound-scripts-add-kmod.patch
BuildRoot: %_tmppath/%name-root
BuildArch: noarch


%description
The sound-scripts package contains the basic system scripts used:
- to setup default sound mixer on first boot
- save sound mixer level on shutdown
- restore sound mixer on bootstrapping

%prep
%setup -q
%apply_patches

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
%makeinstall_std

# there's no interesting string that is already gprintified
export DONT_GPRINTIFY=1

%pre
rm -f /etc/modprobe.d/snd-usb-audio
rm -f /etc/modprobe.d/snd-oss

%post
%_mypost_service sound
%_mypost_service alsa

# only needed on upgrade
if [ $1 != 0 ]; then
	# Handle boot sequence changes on upgrade
	%initlvl_chg sound 71 18
	%initlvl_chg alsa 70 17
fi

%preun
%_preun_service sound
%_preun_service alsa

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%_bindir/reset_sound
/bin/reset_sound
%_sbindir/alsa.agent
/sbin/alsa.agent
/etc/rc.d/rc.alsa_default
/etc/sysconfig/alsa
/etc/rc.d/init.d/*
%attr(0644,root,root) /%{_sysconfdir}/udev/rules.d/*
%config(noreplace) /etc/modprobe.d/snd-usb-audio
%config(noreplace) /etc/modprobe.d/snd-oss
%_datadir/alsa/


%changelog
* Tue Dec 07 2021 yodelu - 0.61-3pclos2021
- fix loading sound under kmod

* Sat Jan 09 2021 tex - 0.61-2pclos2021
- rebuild against updates

* Wed Jul 30 2014 bb <bb> 0.61-1pclos2014
- update for 2014

* Mon Jun 07 2010 Texstar <texstar at gmail.com> 0.60-1pclos2010
- 0.60
- sync to mdv

